%define version 2.16.0
%define release %mkrel 1

%define pkgname	gtkmm-documentation
%define api_version 2.4

Name:		gtkmm%{api_version}-documentation
Summary:	GTKmm reference manual and examples
Version:	%{version}
Release:	%{release}
License:	GPLv2+ and GFDL
Group:		Books/Other
URL:		http://gtkmm.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:		http://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
BuildRequires: gtkmm2.4-devel >= 2.10.0
BuildRequires: libglademm2.4-devel >= 2.6.0
BuildRequires: gnome-doc-utils
BuildArch: noarch
Requires: gtkmm2.4-doc >= 2.14.0

%description
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains all API documentation for gtkmm. You can readily read
this documentation with devhelp, a documentation reader.

%prep
%setup -q -n %{pkgname}-%{version}

%build
./configure --prefix=%_prefix
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang gtkmm-tut-with-examples --with-gnome
#gw already in gtkmm2.4-doc
rm -rf %buildroot%{_datadir}/doc/gtkmm-%{api_version}/docs/{FAQ,images}

%clean
rm -rf %{buildroot}

%files -f gtkmm-tut-with-examples.lang
%defattr(-, root, root)
%doc %{_datadir}/doc/gtkmm-%{api_version}




%changelog
* Tue Mar 17 2009 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2009.1
+ Revision: 356704
- update to new version 2.16.0

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdv2009.0
+ Revision: 286614
- new version
- update file list
- update license
- import gtkmm2.4-doc

